Subject: sanity checking iov_iter patches

From: Al Viro <[email-masked]>
Date: Thu, 15 Dec 2016 06:23:05 +0000

Some of the vfs.git#work.iov_iter stuff touches net/*; basically,
there are several missing primitives (copy_from_iter_full(), etc.) for
"try to copy, tell whether it has copied the full amount requested and
advance the iterator only in case of success".  Most of the callers were
actually doing just that (see e.g. skb_add_data() and friends) and while
nothing in the current kernel cares whether we advance ->msg_iter on
failure, it's much more consistent semantics.

	If anybody has objections to that stuff (in linux-next, or in
git://git.kernel.org/pub/scm/linux/kernel/git/viro/vfs.git#work.iov_iter),
or thinks that some of that should go via net-next.git, yell and I'll
drop the bits in question.  If not, to Linus it all goes...